Bug 1036753 - [RFE] Make reservations for HA VMs to make sure there's enough capacity to start them if N hosts fail
Summary: [RFE] Make reservations for HA VMs to make sure there's enough capacity to st...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.4
Hardware: All
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.4.1
Assignee: Kobi
QA Contact: Lukas Svaty
URL:
Whiteboard: sla
Depends On: 1027697
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-02 14:52 UTC by Scott Herold
Modified: 2014-12-15 12:52 UTC (History)
9 users (show)

Fixed In Version: ovirt-3.4.0-rc
Doc Type: Enhancement
Doc Text:
Clone Of: 1027697
Environment:
Last Closed: 2014-05-08 13:37:45 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 22929 None None None Never

Description Scott Herold 2013-12-02 14:52:08 UTC
+++ This bug was initially created as a clone of Bug #1027697 +++

It should be possible to make specific reservations for HA vms to make sure that we always have enough spare capacity to start the HA VMs if N hosts fail.

This we can do in a basic way with the pluggable scheduler but it would be better if there was a dedicated feature in the engine.

Comment 1 Sandro Bonazzola 2014-01-13 13:56:41 UTC
oVirt 3.4.0 alpha has been released including the fix for this issue.

Comment 2 Lukas Svaty 2014-02-13 09:11:53 UTC
waiting for these to be resolved:

https://bugzilla.redhat.com/show_bug.cgi?id=1057579
https://bugzilla.redhat.com/show_bug.cgi?id=1057584

Comment 3 Sandro Bonazzola 2014-03-04 09:29:40 UTC
This is an automated message.
Re-targeting all non-blocker bugs still open on 3.4.0 to 3.4.1.

Comment 4 Kobi 2014-03-23 12:50:00 UTC
bugs:

https://bugzilla.redhat.com/show_bug.cgi?id=1057579
https://bugzilla.redhat.com/show_bug.cgi?id=1057584

are resolved, switching back to ON_QA

Comment 5 Sandro Bonazzola 2014-05-08 13:37:45 UTC
This is an automated message

oVirt 3.4.1 has been released:
 * should fix your issue
 * should be available at your local mirror within two days.

If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.